from api_graphql.abc.input_abc import InputABC


class UserUpdateInput(InputABC):

    def __init__(self, src: dict):
        InputABC.__init__(self, src)

        self._id = self.option("id", int, required=True)
        self._roles = self.option("roles", list[int], default=[])

    @property
    def id(self) -> int:
        return self._id

    @property
    def roles(self) -> list[int]:
        return self._roles
